About Licensing Guide

To use AQtime Pro, you need to activate its license. This help file contains information on AQtime’s licensing system. It describes AQtime’s license types and explains how to install, activate and maintain licenses.

The information provided in this help file applies to commercial and trial versions of AQtime Pro. AQtime Standard for Embarcadero RAD Studio does not require license activation.

The help file contains the following sections:

Basic Concepts

Describes the basic concepts of the licensing subsystem, the license types, license manager and how it works.

Activating Licenses

Explains how to activate AQtime licenses.

Upgrading Licenses

Explains the upgrade concepts and describes how to apply the license upgrade.

Renewing Licenses

Explains when you need to renew AQtime licenses and describes how to do this.

Uninstalling and Moving Licenses

Describes how to uninstall an AQtime license and move it to another computer.

How To

Explains how to perform some specific licensing tasks.

Troubleshooting

Describes possible problems that may occur when activating and using AQtime licenses.
© 2017 SmartBear Software
Send feedback on this topic


Copyright Notice

© 2017 SmartBear Software. All rights reserved.

No part of this help may be reproduced, stored in any retrieval system, copied or modified, transmitted in any form or by any means electronic or mechanical, including photocopying and recording for purposes others than the purchaser’s personal use.

All SmartBear product names are trademarks or registered trademarks of SmartBear Software. All other trademarks, service marks and trade names mentioned in this Help system or elsewhere in the AQtime software package are the property of their respective owners.


Contacting SmartBear

See Also
Contact Information

If you have problems with AQtime licenses or need assistance, contact our Sales Team or Technical Support Team:

Phone: | +1 (617) 684-2600
Web: | http://support.smartbear.com/product-list/

If you use the Web form, then when submitting your request, specify the Technical Inquiry | Licensing request type. This will help us process your request faster. We will answer you via email and all further communication will be made via email. However, to start the conversation, please use the Web form.

More Resources

You can also ask questions, search for answers, exchange comments and suggestions on our forums:

http://community.smartbear.com/

You can find answers to your question in the list of the frequently asked questions which is available at:

http://support.smartbear.com/viewarticle/18467/

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
About Licensing Guide


Basic Concepts

Topics in this section explain the basic concepts of AQtime’s license system.

AQtime License Types

Describes AQtime’s license types.

License Manager

Describes AQtime’s License Manager.

How Licensing Subsystem Works

Explains how the license subsystem functions.

Standalone License Manager Utility

Describes the License Manager utility that can be installed apart from AQtime Pro.

Using Multiple Licenses on One License Manager PC

Describes the possible problems that can occur when using multiple license on one License Manager PC.

Emergency License Keys

Explains how you can get emergency license keys in case your License Manager PC is non-functional or damaged.
See also
About Licensing Guide


AQtime License Types

AQtime licenses control the number of AQtime instances that can be launched concurrently and the time period during which the license is valid.

About AQtime License Types

Checking License Types

About AQtime License Types

AQtime Pro uses two license types: Node-Locked and Floating User. Both license types are Perpetual, that is, they have no expiration date.

Node-Locked License

The Node-Locked license is bound to one computer. You can run only one AQtime Pro instance at a time on this computer.

Node-Locked licenses cannot be used on virtual machines. If you need to use AQtime on them, use Floating User licenses. See Using AQtime on Virtual Machines for more information about this.

Floating User License

The Floating User license lets you run several AQtime Pro copies on multiple computers in the local network. The number of copies that can work concurrently is determined by the license key.

When using the Floating User license, you enter the license key on one computer only (License Manager PC, see How Licensing Subsystem Works). There is no need to activate the AQtime Pro licenses on other workstations.

Checking License Types

You can check the type of the license you have on the AQtime 8 Pro page of the My SmartBear section of our web site.

See also
Basic Concepts | License Manager | How Licensing Subsystem Works | Activating Licenses


License Manager

This topic describes the terms and concepts of AQtime’s License Manager. For information on how it works, see How Licensing Subsystem Works.

About License Manager and License Manager PC

Sentinel LDK License Manager Service

Using One License Manager PC Per Registration Key

About License Manager and License Manager PC

To manage licenses, AQtime uses the following modules and subsystems:

  • AQtime’s license management subsystem.

  • Sentinel LDK License Manager service.

  • (Optionally) Standalone License Manager utility.

The license management subsystem and the service are always installed along with AQtime Pro. They are used to search for activated licenses when AQtime starts and during the AQtime session. On the computer where a license is activated, these modules also manage license usage. We call them License Manager for short.

The standalone License Manager utility can be installed on a computer where AQtime is not installed, that is, it lets you install and run the License Manager independently of AQtime.

The computer where your license is activated and which controls the license usage is called the License Manager PC (in other words, this is the computer where the License Manager is running).

If you have a Node-Locked license, the License Manager PC is the computer on which AQtime is installed. The License Manager allows running AQtime on this computer only.

If you have a Floating User license, AQtime can run on several workstations on the network. The license can be activated either on one of AQtime workstations, or on the computer where the standalone License Manager utility is installed (that is, on the computer that has no AQtime). In other words, if you use Floating User licenses, then, in general, the License Manager PC differs from the computer that has AQtime installed.

Sentinel LDK License Manager Service

The License Manager uses the Sentinel LDK License Manager service. This service is used both by Node-Locked and Floating User licenses. The service is used for all operations over the licenses: activating, running, updating and moving.

This service must be running in order for AQtime Pro to be able to start. It must also be running during the whole AQtime session as AQtime may send requests to the License Manager during the run.

If you use a Floating User license, this service must be running both on the License Manager PC and on the workstations, on which AQtime is running.

To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see if the Sentinel LDK License Manager service is running.

Using One License Manager PC Per Registration Key

You cannot activate two licenses of the same product on one License Manager PC, that is, you cannot activate two licenses of AQtime 8 on the same computer. When activating a new license for the product, the new license data will overwrite the existing data and the existing license information will be lost. To avoid problems, we recommend that you use one License Manager PC per key. If you want the License Manager to control more product instances, we recommend that you upgrade your license. See Upgrading Existing AQtime Pro Licenses.

See also
Basic Concepts | AQtime License Types | How Licensing Subsystem Works | Standalone License Manager Utility


How Licensing Subsystem Works

This topic describes the basic principles of AQtime’s licensing subsystem. It contains the following sections:

Basic Concepts

Activating License Manager

Checking License on Start

Resolving Problems

Basic Concepts

The licensing subsystem is used to activate licenses, to control their usage and to update the license data on the computer, when it is needed. The licensing subsystem uses the Sentinel LDK License Manager service that is installed along with AQtime Pro or with the standalone License Manager utility. This service is used for both license activation and to check that the appropriate number of licenses are used. The following images demonstrate how the licensing modules work:

Floating User License

Activating License Manager

Before you start using AQtime Pro, you need to activate your AQtime Pro license. When you activate the license on a computer, in fact you activate the License Manager on this computer. The License Manager uses the license key to obtain an activation code from SmartBear. The way the activation is performed depends on the license type and other factors. See Activating Licenses.

The computer, on which you enter the license key and activate the License Manager, becomes the License Manager PC. It will manage your AQtime Pro license.

After the activation succeeded, the License Manager is bound to the License Manager PC and can run on this PC only. All activation requests sent from other computers to the SmartBear web site will be ignored.

If you need to uninstall and move the License Manager to another computer, you first have to unbind the License Manager from the current License Manager PC. This enables your license to be installed on another PC.

For more information on the activation procedure, see the Activating Licenses section.

Important notes:

  • After activation the license key becomes “bound” to the License Manager PC and you cannot use it to activate the license on another computer. If you need to do this, you must deactivate the license on your current License Manager PC first. See Deactivating Licenses.

  • You can activate licenses on physical PCs. Virtual machines can be used only as workstations for running AQtime instances, they cannot be used as License Manager PCs. See Using AQtime on Virtual Machines.

  • You cannot activate two licenses on the same computer. You have to use one computer per one license key. See Using Multiple Licenses on One License Manager PC.

  • Activation of the Node-Locked and Floating User licenses can be a little different (see the Activating Licenses).

Checking License on Start

After the License Manager is activated, you can launch AQtime Pro. Every time AQtime Pro starts, it performs the following actions:

  1. It searches for the License Manager activated on a local machine. If the activated License Manager is not found on the local computer (this is possible, if you are using a Floating User license or if you are running AQtime on a virtual machine), AQtime Pro searches for the activated License Manager in the network.

    By default, AQtime Pro searches for the License Manager in the local network. If the License Manager is not in your local network or if AQtime Pro is unable to find it, you can modify the search settings and specify the name or IP address of the License Manager PC. For more information on typical problems that may occur when checking licenses, see License Check Problems -- Floating User Licenses and License Check Problems -- Node-Locked Licenses.

    If your network contains several License Managers, AQtime Pro will connect to the first found Manager. If needed, you may specify the exact License Manager PC to which AQtime Pro should connect. For detailed information on this, see Specifying License Manager for Connection.

  2. After the License Manager is found (on the local computer or in the network), AQtime Pro requests permission to run. If the number of running AQtime Pro instances is less than it is specified by the license key, the License Manager permits the run. If the number of running instances equals the limit specified by the license, AQtime Pro displays a message box that says that it cannot be run.

  3. If the License Manager permits the run, AQtime Pro starts initializing its plug-ins.

After all plug-ins and subsystems are initialized, you can work with AQtime Pro.

Resolving Problems

For information on possible problems that may occur during AQtime Pro initial startup, see the Troubleshooting section.

For information on performing specific tasks connected with the License Manager, see the How To section.

See also
Basic Concepts | License Manager | Troubleshooting | How To


Standalone License Manager Utility

Using a Floating User license implies you select a separate computer to be used as the License Manager PC. This computer must meet certain requirements (see Selecting License Manager PC and Floating User License - Requirements). One of these requirements is that the computer must always be available to AQtime instances running on network workstations. So, it’s worth it to install the License Manager on a server computer that is always on.

The license management modules are installed along with AQtime. If you activate an AQtime license on the server computer, this means that the server computer will become the License Manager PC and AQtime’s files and modules will occupy its hard disk space.

To avoid having the entire AQtime installation on the server, you can install the License Manager as a standalone utility. Feel free to download its installation package from SmartBear’s web site:

http://downloads.smartbear.com/SmartBearLicenseManager.exe

The only purpose of this utility is to activate the license and control its usage. It is small, resource-friendly and does not have any specific system requirements. It can be installed on any, even “weak” computers. The only requirement is that this computer has a network connection. See Floating User License - Requirements for more information.

See also
Basic Concepts | License Manager | Activating Floating User Licenses


Using Multiple Licenses on One License Manager PC

Use One License Manager Per Key

One License Manager can work with one license key at a time. It is impossible to activate two license keys on the same computer, otherwise the new license key will replace the existing key and you will lose licenses. Before activating a new key on a machine, you need to deactivate the existing license from it.

Note: The only exception from this rule is activating a commercial license over the Trial license. This activation is allowed.
Possible Solutions

If you purchase several AQtime Pro licenses, get several license keys and want to use all of them at the same time, you will need several License Manager PCs - one PC per key. This is a general solution that will work with any license type.

Also, you can merge two or more Floating User licenses, get one license key, and then activate the key on the needed machine.

Below are examples of license types that cannot be merged:

  • Floating User and Node-Locked licenses cannot be merged.

  • It is impossible to merge and activate two Node-Locked licenses on a computer (that would make no sense).

To activate these licenses, you must use different License Manager PCs.

See also
Basic Concepts | License Manager | AQtime License Types


Emergency License Keys

A license key can be used only once. The license is “bound” to the computer, on which the key is entered (this computer becomes the License Manager PC). You cannot use this key to activate a license on another computer. If the License Manager PC stops functioning you will not be able to start AQtime instance that is controlled by the License Manager.

Emergency license keys are supposed to be used in unexpected situations, for instance, when the License Manager PC has been stolen, damaged or destroyed. These keys allow you to keep your test environment functioning in these unpredictable situations.

The emergency license key is valid within 14 days after activation. Then it will expire.

The emergency license key can be obtained only once for a license.

We recommend that you contact the SmartBear Sales Team immediately after you experienced problems with the License Manager PC and are not able to use this PC any more. The Sales Team will help you resolve the problem with license keys, and you will be able to use the emergency key meanwhile. Contact Information.

To get an emergency key:

  • Log in to the My SmartBear section of our web site:

    https://my.smartbear.com

  • Go to the AQtime Pro product page and click Emergency License Key from the menu on the right. Then, follow the instructions that you will see on the screen.

  • After you get the emergency license key, activate it on a new License Manager PC.

See also
Basic Concepts | AQtime License Types


Activating Licenses

This section contains topics that explain how to activate AQtime licenses:

Understanding Activation Procedure

Provides basic information on the activation procedure.

Activating Node-Locked License

Contains topics that describe how to activate Node-Locked licenses of AQtime.

Activating Floating User License

Contains topics that describe how to activate Floating User licenses of AQtime.

Manual Activation Procedure

Describes how to activate AQtime licenses on computers that do no have Internet access.
See also
About Licensing Guide


Understanding the Activation Procedure

The activation procedure is very similar for both Node-Locked licenses and Floating User licenses. The only difference is the computer where you activate the license. In case of a Node-Locked license, this is the computer where you install and run AQtime. In case of a Floating User license, this can be either one of AQtime workstations, or a server that has the License Manager utility for activating licenses and controlling their usage.

The activation procedure is very similar for all AQtime Pro license types. However, there is a slight difference between activating the Node-Locked and Floating User licenses. It concerns the computer on which you activate the license:

  • In case of the Node-Locked license, this is the computer on which you install and run AQtime.

  • In case of the Floating User license, this can be either one of AQtime workstations, or a server that has the License Manager utility installed, which is used to activate licenses and to control how they are used.

You activate licenses using the License Management wizard that is built into AQtime or shipped as a stand-alone executable with the License Manager utility. During the activation, the wizard interacts with the Sentinel LDK License Manager service that sends data to the SmartBear web server and receives the activation code in response.

The activation can be performed in automatic or manual mode. This applies both Node-Locked and Floating User licenses:

  • Automatic activation means the wizard exchanges data with the SmartBear web site automatically (URLs https://ls1.smartbear.com and http://ls2.smartbear.com, port 443). All you have to do is to specify the activation data in the wizard.

    This activation mode requires that the computer, on which you activate the license, has a working Internet connection. The Internet connection is required during the activation. It is not used during normal working times.

  • Manual activation implies you exchange data with the SmartBear web server manually. You can choose this mode if your computer is not connected to the Internet for some reason. The License Activation wizard contains detailed instructions that will guide you through the manual activation process. For complete information, see Manual Activation Procedure.

The following images illustrate the activation process:

Activating Node-Locked licenses
Activating Floating User licenses

For detailed information on activating Node-Locked and Floating User licenses, see Node-Locked License - Activation Steps and Floating User License - Activation Steps.

Notes:

  • After the activation succeeds, your license key will be bound to the computer where you have activated the license. This computer becomes the License Manager PC. Every time the License Manager service starts, it checks whether it is running on the appropriate PC or not.

    If you need to uninstall and move the license to another PC, you should first deactivate the license on the current License Manager PC. For information on how to do this, see Uninstalling and Moving Licenses.

  • The activation consumes the license key. You will not be able to use this key to activate the license on other computers. To move a license to another computer, first, you need to deactivate it, and then activate it on the target computer using a new license key that you obtain on the SmartBear web site.

  • If you have a Floating User license, you only need to activate AQtime once - on the License Manager PC. There is no need to activate it on each workstation, that AQtime will run on.

  • If you enter a new Floating User license key on the License Manager PC where another Floating User license is activated, the new activation data will be merged with the existing data.

    Node-Locked licenses are activated on individual workstations and cannot be activated one after another. Before activating a new license, you need to deactivate the existing license. See also Using Multiple Licenses on One License Manager PC.

  • The activation request contains the following data:

    • License key
    • Your computer name
    • Motherboard ID
    • Master hard drive serial number

    The motherboard ID and master hard-drive serial number are used to “bind” the license to your computer. If you change both the motherboard and master hard drive, you will have to update the license (a change to one of these values is considered a possible upgrade). Before upgrading your License Manager PC we recommend that you unbind your license from the License Manager PC. For complete information, see Moving Licenses.

For information on how to workaround problems when activating AQtime, see the Troubleshooting section.

For information on configuring the License Manager and managing licenses in your network, see the How To section.

See also
Activating Licenses | Activating Node-Locked Licenses | Activating Floating User Licenses


Activating Node-Locked Licenses

Topics of this section describes requirements for and explains how to activate Node-Locked licenses of AQtime.

Node-Locked License - Requirements

Describes software and hardware requirements for activating the Node-Locked licenses.

Activation Steps

Provides a step-by-step description of how to activate the Node-Locked licenses.
See also
Activating Licenses | Manual Activation Procedure


Node-Locked License - Requirements

The computer, on which you are going to install AQtime, must match the software and hardware requirements mentioned in the AQtime documentation. The information below is specific for installing and activating the AQtime Node-Locked license:

  • Licenses cannot be activated on virtual machines. It means that you cannot use AQtime on them if you have a Node-Locked license.

    For information on possible workarounds, see Using AQtime on Virtual Machines.

  • Node-Locked licenses can be activated in automatic or manual mode. Below, are requirements for automatic activation:

    • The computer, on which you activate the license, must have a working Internet connection. The connection is required for activation of the license. After activating your license, the connection is not needed.

    • When activating your license, the license management modules send requests to and receive responses from the SmartBear web server (URLs https://ls1.smartbear.com and http://ls2.smartbear.com, port 443). Make sure the proxies and firewalls working in your network allow the activation requests. In most cases, firewalls or proxies do not block the requests, but you may need to change their settings if the activation fails.

    If your License Manager PC does not have an Internet connection, you can activate your license manually. See Manual Activation Procedure.

  • There must be no other AQtime licenses installed on the computer where you are going to activate the license. If you activate a license on a computer where another license is already activated, the new license data will replace the existing data - that is, your existing license will be lost. For more information on this and on possible workarounds, see Using Multiple Licenses on One License Manager PC.

See also
Node-Locked License - Activation Steps | Activating Node-Locked Licenses


Node-Locked License - Activation Steps

This topic explains how to install and activate the Node-Locked licenses of AQtime.

Before You Install

Activation Steps

Troubleshooting

Before You Install

  • Make sure that the computer where you are going to install AQtime is a physical computer that meets the system requirements and has no another AQtime license activated on it.

  • If you are going to use automatic activation, make sure your computer has an Internet connection.

  • To uninstall your AQtime license and move it to another computer, you need to go through a special procedure of license deactivation. At that, you may need to contact SmartBear Sales Team (see Uninstalling and Moving Licenses). To save time in the future, we recommend that you plan the installations to avoid unnecessary moves of the license.

Activation Steps

A Node-Locked license can be activated in automatic or manual mode:

Automatic Activation

Manual Activation

Automatic activation is recommended. However, it requires a working Internet connection (it is needed only for activation, and it is not used during the working time). If the computer where you are going to activate the license does not have Internet access, activate the license manually.

Automatic Activation

To install and activate a Node-Locked license of AQtime:

  1. Install AQtime on your computer.

  2. Launch AQtime. It will search for an active license on your computer and in the network.

  3. If you have a Node-Locked license for a previous version of AQtime on your computer, AQtime will connect to the SmartBear licensing website (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443) and check for updates available for your license.

    If an update is available (this is possible, for example, if you have an active maintenance subscription), AQtime will show a message box suggesting that you activate the new license. Simply click Activate on this PC in the message box. AQtime will activate your new license automatically.

  4. If AQtime does not find any active licenses on your computer, it will show a message box informing you about this.

    Click Activate a license in the message box.

    This will open the License Management wizard:

    • On the first page of the wizard, choose Activate a new license on this computer and click Next. If you have an Internet connection to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), the wizard will choose the automatic activation mode.

    • On the next page of the wizard, specify the information needed for activation: the user name, company name, email and license key.

      You can find the license key on the AQtime 8 page of the My SmartBear section of our web site (https://my.smartbear.com) or in the email message that we sent you after you had requested the license.

      As for other values, you can enter either your user name, company name and email, or those of the license holder. We recommend that you enter your data.

      After you have specified the activation data, click Next to continue.

    • On the next page, you can specify the proxy authentication settings. Quite often, computers in offices connect to the Internet through a proxy server, not directly. Depending on the proxy type, you may need to specify the user name and password needed for the Web connection. Most proxies do not require authentication, so, most likely, you will not need to enter anything. If you are not aware of your proxy type or user name and password, ask your system administrator.

      After you have specified your proxy type and credentials, click Activate. The wizard will activate your license.

  5. If the activation succeeds, you will see the final page of the License Management wizard informing you that the activation is over.

    If the activation fails, the wizard will display an error message explaining the problem.

Manual Activation

Manual activation involves data exchange between the computer, on which AQtime is installed, and the SmartBear web site. For detailed information on activation steps, see Manual Activation Procedure.

Troubleshooting

For information on license activation specifics, see Understanding the Activation Procedure.

For information on possible problems and workarounds for them, see the topics in the Troubleshooting section.

See also
Node-Locked License - Requirements | Activating Node-Locked Licenses


Activating Floating User Licenses

Topics of this section describes requirements for and explains how to activate Floating User licenses of AQtime.

Floating User License - Requirements

Describes software and hardware requirements for activating the Floating User licenses.

Selecting License Manager PC

Describes how to select a computer to be used as the License Manager PC.

Activation Steps

Provides a step-by-step description of how to activate the Floating User licenses.
See also
Activating Licenses | Manual Activation Procedure


Floating User License - Requirements

When you use Floating User licenses, the number of AQtime copies running concurrently is controlled by the License Manager. This topic describes requirements for the License Manager PC and workstations on which AQtime instances will run.

Requirements for the License Manager PC

Requirements for AQtime Workstations

Requirements for the License Manager PC

  • The license is bound to the computer where it is activated. This computer becomes the License Manager PC. AQtime instances running on other workstations will connect to this computer and request permission for the run. That is why, it is recommended to activate Floating User licenses on a server computer that will always be available to test workstations.

  • To activate the license, you can either install the stand-alone License Manager utility, or use AQtime’s License Activation wizard. We recommend that you use the License Manager utility to activate Floating User licenses.

  • System requirements: the licensing modules are installed along with AQtime automatically. AQtime’s system requirements already include the requirements for these modules, so no additional hard-disk space or RAM is needed.

    The separate installation package of the licensing modules - the License Manager utility - does not have any special requirements for RAM and hard-disk space. The utility is a small lightweight application that can be installed and run on any, even “weak” PCs.

  • AQtime licenses cannot be activated on virtual machines. In other words, you cannot use them as License Manager PCs. See Using AQtime on Virtual Machines.

  • The License Manager PC must have a local network connection. AQtime instances that are running on other workstations in your network must be able to connect to the License Manager PC and get permission to run. If the License Manager PC does not have a working network connection, AQtime instances on network workstations will not start.

  • To exchange information with workstations, the license management modules use the TCP and UDP protocols and port 1947. The firewalls and proxies running in your network should not block these protocols and port. Typically, the protocols and port are not blocked.

  • Requirements for automatic activation:

    • The License Manager PC must have an Internet connection. The connection is required for activation of the license. After activating your license, the connection is not needed.

    • When activating your license, the license management modules send requests to and receive responses from the SmartBear web server (URLs https://ls1.smartbear.com and http://ls2.smartbear.com, port 443). Make sure the proxies and firewalls working in your network allow the activation requests. In most cases, firewalls or proxies do not block the requests, but you may need to change their settings if the activation fails.

    If your License Manager PC does not have an Internet connection, you can activate your license manually. See Manual Activation Procedure.

  • There must be no other AQtime licenses installed on the computer where you are going to activate the license. If you activate a license on a computer where another license is already activated, the new license data will replace the existing data - that is, your existing license will be lost. For more information on this and on possible workarounds, see Using Multiple Licenses on One License Manager PC.

Requirements for AQtime Workstations

A computer that will be running AQtime must match the following requirement:

  • It must match the hardware and software requirements mentioned in the AQtime documentation.

  • It must have a local network connection. When starting, AQtime needs to connect to the License Manager and get permission to run. The connection is also needed during your AQtime session, because AQtime may need to connect to the License Manager and request permission to use some features.

See also
Activating Floating User Licenses | Selecting License Manager PC | Floating User License - Activation Steps | Problems With License Activation


Selecting License Manager PC

When you launch AQtime on a workstation, it must be able to connect to the License Manager and request permission to run. This imposes the following requirements for the License Manager PC:

  • This computer must be switched on.

  • It must have a working network connection.

  • The Sentinel LDK License Manager service must be running on it. This service is used by the License Manager to exchange data between the License Manager and AQtime workstations (see How Licensing Subsystem Works).

As testers may need to run AQtime at any time, you need to find a computer that always meets these requirements. Quite often, this is a server computer in your network. We recommend that you activate the AQtime Floating User license on it.

See also
Activating Floating User Licenses | Floating User License - Requirements | Floating User License - Activation Steps


Floating User License - Activation Steps

This topic explains how to install and activate the Floating User licenses of AQtime.

Before You Install

Installation Steps

Activation Steps

  • Automatic Activation
  • Manual Activation

Troubleshooting

Before You Install

  • Make sure that the computer where you are going to activate the license is a physical computer that meets the system requirements and has no other AQtime licenses activated on it.

  • To move your AQtime license to another computer, you need to go through a special procedure of license deactivation. At that, you may need to contact SmartBear Sales Team (see Uninstalling and Moving Licenses). To save time in the future, we recommend that you plan the installations to avoid unnecessary moves of the license.

Installation Steps

  • Select the computer that will run the License Manager (see Selecting License Manager PC). We recommend that Floating User licenses be activated on a server computer.

    If you are going to use automatic activation, make sure that the computer has an Internet connection.

  • Install the License Manager utility on this computer, or install one of AQtime instances on it. We recommend that you use the License Manager utility unless you are going to run tests on the License Manager PC.

  • Launch the License Manager utility (or launch AQtime) and activate the license as it is described below.

  • Install AQtime on other computers in your local network.

    There is no need to enter the license key on these computers. However, you may need to specify the License Manager for connection. See Specifying License Manager for Connection.

Activation Steps

Floating User licenses can be activated in automatic or manual mode.

Automatic activation is recommended. However, it requires a working Internet connection (it is needed only for activation, and it is not used during the working time). If the computer where you are going to activate the license does not have Internet access, activate the license manually.

Note: If you already have an active AQtime Floating User license on your License Manager PC and activate another license key on this PC, the licenses will be merged. If you already have an active Node-Locked license, you will not be able to activate another license key on this PC until you deactivate the existing one. For more information on this, see Using Multiple Licenses on One License Manager PC.
Automatic Activation

  1. Launch the License Activation wizard. To do this:

    • If you use the License Manager utility, click the operating system’s Start button (or Windows button), then select All Programs | SmartBear | License Manager | Activate Product Key from the ensuing menu.

    -- or --

    • If you have an AQtime instance on your computer, launch it. AQtime will search for an available license on your computer and in the network.

      If an active license is not found, AQtime will display a message box informing you about the problem. To open the License Activation wizard, click Activate in this message box.

      If you have an active AQtime license, AQtime will start. To run the License Activation wizard and activate another license, choose Help | Activate License from AQtime’s main menu.

  2. On the first page of the wizard, select Activate a new license on this computer.

    If your computer has an Internet connection and has access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), the wizard will choose automatic activation.

  3. On the next page of the wizard, specify the information needed for activation: the user name, company name, email and license key.

    You can find the license key on the AQtime 8 page of the My SmartBear section of our web site (https://my.smartbear.com) or in the email message that we sent you after you had requested the license.

    As for other activation data, you can either enter your user name, company name and email, or enter those of the license holder. We recommend that you enter your data.

    After you have specified the activation data, click Next to continue.

  4. On the next page of the wizard, you can specify proxy authentication settings. Quite often, computers in offices connect to the Internet through a proxy server, not directly. Depending on the proxy type, it may ask you to specify the user name and password needed for connecting. Most proxies do not require authentication, so, most likely, you will not need to enter anything. If you are not aware of your proxy type or user name and password, ask your system administrator.

    After you have specified your proxy type and credentials, click Activate. The wizard will activate your license.

  5. If the activation succeeds, you will see the final page of the wizard informing your that the activation is over. You can then close the License Activation wizard.

    If the activation fails, the wizard will display an error message explaining the problem.

Manual Activation

Manual activation involves data exchange between the License Manager PC and the SmartBear web site. For detailed information on activation steps, see Manual Activation Procedure.

Troubleshooting

For information on license activation specifics, see Understanding the Activation Procedure.

For information on possible problems and workarounds for them, see topics of the Troubleshooting section.

See also
Activating Floating User Licenses | Floating User License - Requirements | Selecting License Manager PC


Manual Activation Procedure

During automatic activation, the license management modules exchanges data with the SmartBear web server automatically. If you cannot use automatic activation for some reason, you have to send data yourself. This topic describes how you can do this.

In our explanations, we will call the computer, where you are going to activate the license, the License Manager PC as it becomes the License Manager after the activation succeeds.

The entire procedure is very similar for Node-Locked licenses and for Floating User licenses. The only difference is that the License Manager PC is the computer where AQtime is installed for Node-Locked licenses; and for Floating User licenses, the License Manager PC is the computer where a special License Manager utility or one of AQtime instances is installed.

Requirements for Manual Activation

  • Manual activation implies that you manually exchange files between the SmartBear web server and the License Manager PC. To be able to do this, you need to have a computer that has a working Internet connection. You will use this computer as an intermediary between the License Manager PC and the SmartBear web site: you will send files from the License Manager PC to the intermediate computer and then to the SmartBear web site, and will download files from the web site to the intermediate computer and then transfer them to the License Manager PC.

    The intermediate computer must have access to the My SmartBear section of our web site (https://my.smartbear.com). Please make sure that firewalls and proxies working inside your network allow access to this web site.

  • Install AQtime (or the standalone License Manager utility) on the License Manager PC. This will install licensing modules are needed to perform the activation. If you are activating a Floating User license, we recommend that you use the License Manager utility.

Two more notes:

  • The License Manager PC must be a physical computer. License activation on virtual machines is not supported. See Using AQtime on Virtual Machines.

  • The computer, on which you are going to activate the license, must not have other license installed. You can activate only one AQtime license per License Manager. For more information on this and possible workarounds, see Using Multiple Licenses on One License Manager PC.

Manual Activation Procedure

The manual activation procedure includes the following steps:

1. Start Activation on the License Manager PC

  1. Open the License Activation wizard on the License Manager PC:

    • If you are going to activate the license via AQtime, launch AQtime on the License Manager PC. The AQtime licensing subsystem will search for an active license.

      If an active license is not found, AQtime will display a message box informing your about this. To open the License Activation wizard, click Activate in this message box.

      If an active license is found, you can run the License Management wizard by selecting Help | Activate or Deactivate License from AQtime’s main menu.

    -- or --

    • If you are going to activate the license using the stand-alone License Manager utility, launch it on the License Manager PC. To do this, click the operating system’s Start button (or Windows button) and then select All Programs | SmartBear | License Manager | Activate Product Key from the ensuing menu. The utility’s user interface includes the same tabbed pages and controls as AQtime’s License Activation Wizard does.

  2. If your computer is not connected to the Web or does not have access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), AQtime will display a notification message and will suggest using offline (manual) activation. Choose using the offline (manual) activation mode.

  3. The wizard will display some information about the manual activation process. Click Next to proceed. The wizard will pass on to the next page where you need to specify the file name.

2. Collect Information About Your License Manager PC

To generate activation data, we need some information about your License Manager PC’s hardware. The wizard collects this information automatically and saves it to a .c2v file on your computer. You will see the file name in the wizard.

If you are activating the trial license, the wizard will also display the trial license key. Remember it or write it down.

3. Exchange Data With the SmartBear Web Site

Now, you need to pass the file storing the hardware-specific data of your License Manager PC to the SmartBear web site. To do this:

  1. Transfer the .c2v file generated in the previous step to the intermediate computer.

  2. On the intermediate computer, launch any web browser and open the following URL in it (this URL is also mentioned in the License Activation wizard running on the License Manager PC):

    https://my.smartbear.com/manual-license-activation/

  3. On the opened web page, specify your license key and the name of your .c2v file. Click Send File. This will upload the file to the SmartBear web site. Note that transferring the file may take some time.

  4. The web site will process the file and generate activation data for your License Manager PC.

    After the web site generates the activation data, it will display a download link for the file that stores this data (this file has the .v2c extension). Download the .v2c file to the intermediate computer.

  5. Transfer the .v2c file with activation data from the intermediate computer to your License Manager PC.

4. Apply the Activation Data

After you have downloaded the activation data file and copied it to your License Manager PC, you can apply the activation data to this PC:

  1. On the License Manager PC, click Next in the License Activation wizard. This will display the wizard’s next page with an edit box on it.

  2. Specify the name of the activation data file (.v2c) in the edit box and click Activate. This will save the activation data on the License Manager PC.

5. Finalizing the Activation

If the activation succeeds, the wizard will display a page notifying you that the license has been successfully activated. You can close the wizard then.

In case of an error, the wizard will display a message notifying you about the problems. Try to solve the problems and activate the license again. For information on how to solve possible problems, you can use the Troubleshooting and How To section of this Licensing Guide.

See also
Activating Licenses | Troubleshooting | How To


Upgrading Licenses

You can get AQtime Pro in three ways: as a new license, as an upgrade from the previous version or as an upgrade of the existing AQtime Pro license. This section contains topics that describe the license upgrade concepts and explains how to apply the upgrades:

Upgrading Existing AQtime Pro Licenses

Describes how to upgrade your existing license so that it supports more product instances.

Purchasing and Activating Upgrades of Existing Licenses

Describes how to buy and apply licenses that were purchased as upgrades for existing AQtime 8licenses.

Upgrading From Previous Versions

Explains the upgrade policy that is used to upgrade from previous versions of the product.
See also
About Licensing Guide | License Manager


Upgrading Existing AQtime Pro Licenses

If you have an AQtime 8 license and want to run more product instances, you may purchase the needed number of licenses as new licenses or as an upgrade of your existing license. There is an important difference between these approaches that concerns the way you manage the licenses. It is especially important if you are upgrading a Floating User license. This topic explains the difference and helps you choose the correct way to upgrade.

Upgrade or a New License?

How Licenses Are Upgraded

Upgrade From Node-Locked to Floating User License

Two Ways to Activate an Upgraded License

Purchasing and Activating Upgrades

Upgrade or a New License?

If you have an AQtime license and want to use more product instances, you can either purchase a new license or add product instances to your existing license. Despite the fact that in both cases you will be able to use more product instances, there is an important difference between them.

If you purchase a new AQtime Pro license, you get a new license key. You cannot activate this key on your License Manager PC, if this PC already has another AQtime Pro license activated. If you activate the new license on it, the new activation data will overwrite existing data and the old license will be lost (see Using Multiple Licenses on One License Manager PC).

So, if you purchase a new license and get a new key, you will have to use a new License Manager PC for it. This approach may be considered as a disadvantage (depending of what you need). You will have to find and use another PC for license management in addition to the existing PC (or PCs) you are already using. Also, you may need to modify the search settings on AQtime workstations in order for them to connect to the correct License Manager.

The solution is to purchase an upgrade of your existing license, that is, to add new product instances to it so that it supports more instances. If you upgrade an existing license this way, you get a special upgrade file, which you then apply on your existing License Manager PC. That is, you do not have to find a new License Manager PC and you do not have to modify the search settings on AQtime workstations.

To avoid problems when using several License Manager PCs, we recommend that you purchase new instances as an upgrade, that is, add them to the existing licenses, when possible.

How Licenses Are Upgraded

  • Node-Locked licenses cannot be upgraded in the way described above. If you want to run more product instances, simply buy them as new licenses. Also, consider upgrading to a Floating User license for easier license management.

  • If you have a Floating User license of AQtime, you can upgrade your license and increase the number of AQtime instances controlled by the license.

Important: An upgrade of an existing license replaces your current license data with the upgraded data. That is, you cannot use both the existing and upgraded licenses. You can use only the upgraded (new) license.

Upgrade From Node-Locked to Floating User License

If you have a Node-Locked license and want to upgrade it to a Floating User license, contact the SmartBear Sales Team.

When upgrading from Node-Locked to Floating User, you may want to choose a computer to be used for license management and activate the license on it (strictly speaking, you may want to change the License Manger PC). In this case, you will have to move the license before or after the upgrade. See the Two Ways to Activate an Upgraded License section below.

Two Ways to Activate an Upgraded License

There are two ways to apply the upgraded license data:

  • You can apply the upgrade on the computer that has your current license activated (that is, you can apply the upgrade on the current License Manager PC).

-- or --

  • You can move the license to another PC and apply the upgraded license there (that is, you can combine the move and upgrade).

If you choose to upgrade your license on the existing License Manager PC, we will generate a new file containing the details of the updated license. You will download this file to your License Manager PC and apply it there. After this, your License Manager PC will support the product instances provided by the upgrade.

If you want to move the license to another PC, then you will first need to deactivate the license on your current License Manager PC. After that, we will generate a new license key which you can use to activate the license on any other computer.

For information on how to activate the upgraded license, see Purchasing and Activating Upgrades of Existing Licenses.

Purchasing and Activating Upgrades

For information on how to purchase and activate license upgrades, see Purchasing and Activating Upgrades of Existing Licenses.

See also
Upgrading Licenses | Purchasing and Activating Upgrades of Existing Licenses | Uninstalling and Moving Licenses | Using Multiple Licenses on One License Manager PC


Purchasing and Activating Upgrades of Existing Licenses

This topic explains how to purchase and activate upgrades of existing AQtime Pro licenses.

Purchasing an Upgrade of an Existing License

Activating an Upgrade

Purchasing an Upgrade of an Existing License

To purchase an upgrade of a commercial AQtime license, fill the order form on our web site, or contact our Sales Team.

You can also order new licenses or upgrades from one of our partners.

Activating an Upgrade

To activate an upgraded license of AQtime 8, follow these steps:

  1. Log in to the My SmartBear section of our web site:

    https://my.smartbear.com

  2. From the product list, go to the AQtime 8 Pro page.

  3. Find the license for which you purchased the upgrade. Click Upgrade your license.

    (This link becomes available after you purchase an upgrade for the license. If there are no available upgrades for the license, the link is not shown).

  4. A click on the link opens the Upgrade Your License wizard that will guide your through the upgrade process.

    Follow the instructions that you will see on screen.

    Below is a brief description of the upgrade steps:

    1. The wizard will first to ask you to verify the upgraded license.

    2. Then it will ask you how you will apply the upgrade (see Two Ways to Upgrade Licenses):

      • You can either apply the upgrade on your current License Manager PC, or
      • You can move the license and apply the upgrade on another PC.

    3. If you choose to apply the upgrade:

      • The wizard will generate a special file that contains the updated license data. Download this file to your License Manager PC.

      • On the License Manager PC, open the following URL in a web browser:

        http://localhost:1947

        This will open the Sentinel Admin Control Center page.

      • Click Update/Attach from the Options menu on the left.

      • On the subsequent page, choose the license data file you have downloaded and click Apply File to upgrade the license on the License Manager PC.

    4. If you choose to move the license to another computer:

      • Deactivate your license on your current License Manager PC.

        The deactivation procedure includes several steps. Follow the instructions that you will see on screen.

      • After the license is deactivated, the wizard will generate a new license key. You can find it on the AQtime 8 Pro page of the My SmartBear section of our web site. Log in to this section of the web site, copy the license key and use it to activate your license on a new computer. This computer will become the License Manager PC for the upgraded license.

See also
Upgrading Licenses | Upgrading Existing AQtime Pro Licenses


Upgrading From Previous Versions

If you have a previous version of AQtime, you can upgrade to AQtime 8 Pro by only paying part of the full price. For information on upgrade offers, please contact SmartBear Sales Team.

After purchasing the upgrade, you can activate the license on any PC.

See also
Upgrading Licenses | Upgrading Existing AQtime Pro Licenses


Renewing Licenses

Topics in this section describe situations when you need to renew your AQtime licenses:

When You Need to Renew License

Describes the situations when you need to renew your AQtime license.

Updating AQtime Pro Trial Version to Commercial Version

Explains how to update a trial AQtime Pro license after purchasing the product.

Renewing Licenses on License Upgrade

Explains how to upgrade your license to support more AQtime instances that can run concurrently.

Renewing License on Hardware Changes

Describes what hardware changes will require a license renewal.

Renewing License on Re-Installing or Upgrading the Operating System

Explains what changes to the operating system will require a license update.
See also
About Licensing Guide | Activating Licenses | Troubleshooting


When You Need to Renew License

You may need to renew your AQtime license when:

  • You are updating an AQtime Pro trial version to commercial version. See Updating AQtime Pro Trial Version to Commercial Version.

  • You are replacing your Floating User license with the license that supports more users. See Renewing Licenses on License Upgrade.

  • You are replacing your license with another one that supports more product instances. See Renewing Licenses on License Upgrade.

  • You are moving AQtime from one computer to another. See Moving Licenses.

  • You license was deactivated as a result of changes made to your computer’s hardware. See Renewing License on Hardware Changes.

  • You re-install or upgrade the operating system. See Renewing License on Re-Installing or Upgrading the Operating System.

Follow the links above to get information on how to renew your AQtime license in each of these cases.

See also
Renewing Licenses


Updating AQtime Pro Trial Version to Commercial Version

To replace the trial version of AQtime Pro with a commercial version, you need to replace the trial license key with the “commercial” key that you get after purchasing AQtime Pro. There is no need to reinstall AQtime Pro.

You cannot replace the trial license of AQtime Pro with another trial license of this product. If you try to do this, an error message will occur. You can replace the trial version of the product with the commercial version only (see below).

The upgrade procedure is simple:

  1. Log in to your SmartBear account:

    https://my.smartbear.com

  2. Open the AQtime 8 Pro product page and find the license key on it.

  3. Enter the license key on the License Manager PC as it is described in the following topics:

    Node-Locked License - Activation Steps

    Floating User License - Activation Steps

Notes:

  • After you activated the commercial key, the trial key becomes invalid.

  • Activating a commercial license on the computer where you have the trial license replaces the licensing data. The trial license will become unavailable after you do that. You will not be able to use the trial key to activate the trial license on some other computer.

Activating Commercial Licenses on New Computers

To activate a commercial license on a computer where AQtime Pro trial is not installed, follow the steps described in the following topics:

Node-Locked License - Activation Steps

Floating User License - Activation Steps

Activating Commercial License on the Same Computer

If you want to activate a commercial license over the trial license, the steps to be performed depend on the license type you have purchased:

  • If you have purchased a commercial Node-Locked license, all you have to do is to replace the trial license key on your computer with the commercial key.

  • If you have purchased a commercial Floating User license, we recommend that you activate it on a computer (server) other than your “AQtime Pro trial” workstation.

    If you still decide to activate it on the “trial” computer, you can simply replace the trial license key with the commercial key the way it is described below.

To replace the trial key with the commercial key on your computer:

  1. Launch AQtime Pro. Select Help | Activate License from the main menu. This will invoke the License Activation wizard.

  2. Specify the commercial license key and other activation data in the wizard to activate the license.

See also
Renewing Licenses


Renewing Licenses on License Upgrade

This topic is for users of Floating User licenses. This license type implies using one license key to permit the concurrent run of multiple AQtime instances on network workstations. You can purchase a license upgrade that will support more product instances than your current license does at any time. If you purchase this upgrade, you will need to renew your current license with the new one. To do this, you simply activate the new license on your License Manager PC. For detailed information, see Purchasing and Activating Upgrades of Existing Licenses.

Since you are using a Floating User license, you need to activate the new license only on the License Manager PC. There is no need to activate it on AQtime workstations.

Note: After you have activated the upgrade, the old license is no longer valid.
See also
Renewing Licenses | Purchasing and Activating Upgrades of Existing Licenses | Upgrading Existing AQtime Pro Licenses


Renewing License on Hardware Changes

What Hardware Changes May Require a License Renewal

The activation request that is made by the License Manager when activating the AQtime license contains data that is specific to the License Manager PC: the motherboard ID and the master hard-drive serial number. This data is used to prevent activating AQtime licenses on other computers.

If you change either the motherboard, or the master hard-drive on the License Manager PC, this situation is recognized as a hardware upgrade. You do not have to renew the license in this case.

If you change both the motherboard and master hard-drive on the License Manager PC, you will have to renew the license, since in this case it is impossible to distinguish the hardware upgrade from an attempt to activate the AQtime license on another computer.

If you have a Floating User license , you will have to renew the license on the License Manager PC only. There is no need to renew AQtime instances running on other workstations.

Renewing the License

All renewal operations are performed on the License Manager PC. For Node-Locked licenses this is the PC, on which AQtime is installed. For Floating User licenses this is the PC, on which AQtime license was activated (see License Manager).

Renewing the license includes the following steps:

  1. Before upgrading hardware: deactivate your AQtime license on the License Manager PC. For detailed information on how to do this, see Deactivating Licenses.

    After deactivating the license, you will get a new license key.

  2. Change the hardware.

  3. Use the new license key to activate the AQtime license as it is described in the Activating Licenses section.

Questions or Problems?

If you unable, for some reason, to perform these steps, please contact SmartBear Support Team.

See also
Renewing Licenses | Deactivating Licenses | Activating Licenses


Renewing License on Re-Installing or Upgrading the Operating System

After installing and activating your AQtime license, the License Manager saves the activation information on your hard drive. This information may be lost when you are installing a newer operating system. This depends on the mode in which the operating system is installed.

The Windows operating systems can be installed in the upgrade mode. In this mode, the installation program can preserve the files, applications and settings you use on the previous OS. So, if the installation preserves the files, applications and settings, then renewing the AQtime license is not needed. If the installation does not save your files, applications and settings, you will have to perform special actions for renewing your AQtime license.

So, before updating the operating system, you need to check whether it can be installed in the upgrade mode or not. If the upgrade mode is unavailable, you will have to deactivate the AQtime license before installing the operating system and activate AQtime after installing the newer OS. See below for more information.

How to determine whether the upgrade is possible?

Typically, Microsoft operating systems can be installed in upgrade mode on previous versions of the OS. For instance, Windows Vista can be installed in upgrade mode on Windows XP, and Windows 7 can be installed in upgrade mode on Windows Vista. That is, if you upgrade the operating system from Windows XP to Vista, or from Vista to Windows 7, there is no need to renew the AQtime license.

Some versions of the Windows operating system cannot be installed in upgrade mode on the operating system you use. For instance, you cannot upgrade a 32-bit OS to a 64-bit version, or upgrade from a higher edition to a lower one (like from Windows Vista Ultimate to Windows 7 Home Basic). One more example is Windows 7 cannot be installed in upgrade mode on Windows XP and earlier operating systems. So, if you are installing Windows 7 over XP or Windows 2000, you will have to renew your AQtime license.

For more information on whether the installation in upgrade mode is available, see the operating system’s documentation.

Renewing AQtime License

If the operating system cannot be installed in upgrade mode, follow these steps:

  1. Before installing the operating system: deactivate your License Manager as it is described in the Deactivating Licenses topic.

    Deactivation will unbound your license from the License Manager PC. After this you will get the new license key, which you can obtain on the AQtime page of the My SmartBear section of our web site.

  2. Install the newer operating system.

  3. Use the new license key to activate your license on the License Manager PC. See Activating Licenses for detailed information on how to do this.

Note: If you have the Floating User license, you will need to perform these steps only if you are updating the operating system on the License Manager PC. There is not need to do anything on workstations, where AQtime is installed.
See also
Renewing Licenses


Uninstalling and Moving Licenses

The topics of this section describe how to uninstall and move AQtime Pro licenses:

Deactivating Licenses

Describes when you need to deactivate AQtime licenses and how to do this.

Moving Licenses

Describes how to move AQtime from one computer to another.
See also
About Licensing Guide


Deactivating Licenses

This topic discusses the uninstalling of AQtime Pro licenses.

Why Deactivation Is Needed

Some Notes Before You Start Deactivation

Automatic Deactivation

Manual Deactivation

How to Activate a License After Deactivation

When Deactivation Is Impossible

Why Deactivation Is Needed

License activation “binds” the license to a computer. Once a license has been activated, it remains bound to the computer until you deactivate the license. If you want to uninstall an AQtime license from one computer and move it to another computer, you first need to “unbind” (or deactivate) the license and then install it on another computer. There is no way to activate the license on a new computer without deactivating it on the current computer first.

Deactivation is also needed when you want to upgrade your license, for instance, from Node-Locked to Floating User, or when you want to replace one license with another.

Some Notes Before You Start Deactivation

  • You can deactivate the license by uninstalling license modules from the appropriate computer or manually in the My SmartBear section of our web site. Also, you can deactivate your license by using the License Management wizard that is built into AQtime or is shipped as a stand-alone License Manager utility.

  • After deactivation is over, SmartBear generates a new license key. You can use it to activate AQtime on another computer. You can find the key on the My SmartBear portal (https://my.smartbear.com).

  • You can deactivate a license 10 times only. Further deactivations require that you contact the SmartBear Sales Team.

  • The deactivation can be performed in automatic or manual mode.

    Automatic deactivation means that the wizard exchanges data with the SmartBear web site automatically. This mode is fast and recommended. It requires that the computer, where you deactivate the license, has a working Internet connection and that this computer has access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443).

    Manual deactivation implies that you exchange data with the SmartBear web site manually. Choose this mode if your License Manager computer is not connected to the Internet.

Automatic Deactivation

You can deactivate the license either by uninstalling the license management modules from your computer or by using the License Management wizard:

By Uninstalling Licensing Modules

By Uninstalling Licensing Modules

When you start uninstalling AQtime (or the License Manager utility), the uninstallation wizard searches for active licenses on your PC. If it finds an active license, it will display a dialog box asking for your permission to deactivate the license. If you agree, the wizard will deactivate the license and then continue uninstalling AQtime or the utility.

Via the License Management Wizard

  1. Launch the License Management wizard:

    • If you use the License Manager utility, click the operating system’s Start button (or the Windows button) and choose All Programs | SmartBear | License Manager | Activate or Deactivate License from the subsequent menu.

    – or –

    • If you have an AQtime instance installed on your computer, choose Help | Activate or Deactivate License from AQtime’s main menu.

  2. On the first page of the wizard, choose Move or deactivate the selected license and select the license you want to deactivate. Click Next.

    Note: To deactivate the license automatically, you need a working Internet connection to one of the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443).

  3. If you use a proxy server, on the next page of the wizard, choose I use proxy that requires authentication and specify the user name and password for your proxy server.

  4. Click Deactivate. The wizard will deactivate the specified license.

If the deactivation succeeds, you will see the final page of the wizard informing you that the deactivation is over. Then, you can close the License Management wizard.

If the deactivation fails, the wizard will show an error message explaining the problem.

Manual Deactivation

1. Find an Intermediate Computer

Manual deactivation implies that you exchange data with the SmartBear web site manually. To do this, you need to find a computer that is connected to the Internet. This computer will be an intermediary between your computer and the SmartBear web site. You will pass files from your PC to the intermediate computer and then to the SmartBear web site. Then you will download files from the site to the intermediate computer and then to your PC.

The intermediate computer must have access to the My SmartBear page of our web site (https://my.smartbear.com). Please check that the firewalls and proxies working on your network allows access to this web site.

2. Deactivation Steps

You can manually deactivate licenses either in the My SmartBear section of our web site or in the License Management wizard:

On the Web Site

In the License Management Wizard

On the Web Site

  1. Log in to the My SmartBear portal:

    https://my.smartbear.com

    You can find the login credentials in the email message you got after purchasing your AQtime license.

  2. Click the link in the Latest Version column next to the AQtime version whose license you want to deactivate. This will open the license information page.

  3. Select Deactivate License from the right-side menu, and follow the instructions on the screen.

In the License Management Wizard

  1. Open the License Management wizard:

    • In AQtime, select Help | Activate or Deactivate License from the main menu.

    – or –

    • If you have the License Manager utility, click Start or Windows logo and select All Programs | SmartBear | License Manager | Activate or Deactivate License.

  2. On the first page of the wizard, choose Move or deactivate the selected license, select the desired license from the list and click Next.

    If your computer is not connected to the Internet or does not have access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), the wizard will display an error message and will suggest using offline (manual) deactivation. Confirm using the offline (manual) activation.

  3. The wizard will generate a file with information about the SmartBear product licenses activated on your computer. You need to upload this file to the SmartBear web site. You can do this from some computer that has access to the Internet. Follow the instructions you see on the wizard’s pages.

    As a result of your actions, the SmartBear web site will generate a file storing deactivation data. Download this file from the SmartBear web site, copy the deactivation file to your computer and then click Next in the wizard to continue.

  4. On the next page of the wizard, specify the deactivation file name and click Deactivate. The wizard will remove information about AQtime license from your computer.

    If the deactivation succeeds, you will see the next page of the wizard (see below). Else, the wizard will show an error message explaining the problem.

  5. After removing license data, the wizard will generate a new file with information about product licenses stored on your computer. You need to upload this file to the SmartBear web site to confirm the deactivation. After that, you will get a new license key for activating AQtime on another computer.

    The wizard displays the name of the generated confirmation file and instructions for uploading. Just follow these instructions to complete deactivation and get a new license key.

How to Activate a License After Deactivation

  1. Log in to the My SmartBear portal:

    https://my.smartbear.com

    You can find the login credentials in the email message you got after purchasing your AQtime license.

  2. Open the license details page of the AQtime version, whose license you deactivated.

  3. Scroll down to the License Keys table and click Get new product key.

You can use the new key to activate the license again (see Activating Licenses).

When Deactivation Is Impossible

The license deactivation requires AQtime license management modules to be installed on your License Manager PC. If these modules are not available, the deactivation is impossible. This may happen, for example, if the License Manager PC is damaged, if it is not able to start or if the operating system fails to log in.

If you encounter a hardware or software problem that blocks the automatic or manual deactivation, please contact the SmartBear Sales Team.

See also
About Licensing Guide


Moving Licenses

This topic describes how to move AQtime licenses from one computer to another:

Overview

License Moving Procedure

Overview

When working you may need to uninstall AQtime Pro from your computer and move it to another computer. If uninstalling and moving includes uninstalling and moving AQtime’s license, then besides uninstalling AQtime’s modules, you should also deactivate the license.

  • If you are using a Node-Locked license, you have to deactivate the license every time you uninstall and move AQtime Pro.

  • If you are using a Floating User license, you have to deactivate the license only if you uninstall and move the License Manager. Uninstalling and moving AQtime Pro instances running on workstations do not require license deactivation.

We would like to note that license deactivation should be performed before AQtime modules are uninstalled and moved, because the deactivation procedure requires that certain modules of AQtime’s licensing system be installed on your computer.

You can deactivate and move a license ten times only. Further deactivations require that you contact the SmartBear Sales Team.

License Moving Procedure

A typical moving procedure includes the following steps:

  1. Before uninstalling AQtime or the License Manager utility (if you use it), deactivate your license. You can do this in automatic or in manual mode. For information on these, see Deactivating Licenses.

    Note: If you deactivate the license successfully, you get a new license key. You can use this key to activate your license on any computer.

  2. After you deactivate the license, uninstall AQtime Pro or the License Manager utility.

  3. If you want to move the license to another computer, install AQtime Pro or the License Manager utility on this computer and activate the license using the new license key. For more information, see Activating Licenses.

See also
Deactivating Licenses | Uninstalling and Moving Licenses


How To

This section contains topics that discuss various licensing questions and explains how to configure and control the License Manager:

General Questions

Contains topics that answer typical licensing questions.

Working With License Manager

Contains topics that explain how to configure License Manager settings.
See also
About Licensing Guide | Troubleshooting


General Questions

This section provides answers on general questions about using AQtime. It contains the following topics:

Using AQtime on Virtual Machines

Installing AQtime in Large Organizations

Using AQtime in WAN

Sharing License Among Several Offices

Using AQtime in Virtual Private Networks

Using AQtime in Cloud Computing

Viewing License Usage Statistics

See also
How To


Using AQtime on Virtual Machines

If you need to run profiling in a virtual environment, use virtual computers as workstations where AQtime is running, but do not activate your AQtime licenses on virtual computers. The recommended approach to use AQtime on virtual computers is the following:

  • Use a Floating User license of AQtime If you have a Node-Locked license, please contact the SmartBear Sales Team on the upgrade to Floating User license.

  • Select a physical computer that you will use as a License Manager PC.

    Make sure that your virtual computers are connected to your local network and have access to the computer.

  • Activate your license on a physical computer.

  • Install your AQtime instances on virtual computers.

This way, you will be able to --

  • Easily manage your licenses.

  • Create, configure, clone and delete virtual machines with AQtime installed without any limitations.

Activating AQtime Licenses on Virtual Computers

You cannot activate a standard commercial license of AQtime on a virtual machine. If the suggestions above are not suitable, contact the SmartBear’s Sales Team and request a license that can be activated on a virtual machine.

The license activated on a virtual computer will be bound to the virtual computer’s MAC address and to the host computer (the computer on which the virtual computer is currently running). If the virtual computer’s MAC address changes or you move the virtual computer to another host computer, your license will be blocked and you will not be able to use it.

To avoid possible issues:

  • Move your license to a physical computer.

-- or --

  • Select a physical computer that will host your virtual environment.

  • Configure your virtual machine so that its MAC address remains unchanged.

  • Activate your license on a virtual computer.

  • Make sure that your virtual computer will not revert to the state preceding the license activation.

See also
General Questions


Installing AQtime in Large Organizations

This topic covers aspects of installing and activating AQtime in large organizations.

Which License Type to Choose

If you are going to buy several AQtime licenses that will work concurrently, we suggest that you buy a Floating User license for the desired number of users rather than the same number of Name User licenses. Say, if you want to buy 10 copies of AQtime, we would recommend they you purchase the Floating User license for 10 users rather than 10 Node-Locked licenses, because in this case it would be easier for you to activate the licenses and also lets you use them on virtual machines.

If you have a Floating User license, you will need to install the License Manager and activate the license on one computer only. No activation actions are needed on other computers (except for providing network access to the license manager).

If you buy 10 Node-Locked licenses, you will have to activate each of these licenses on each computer.

Upgrading Licenses

When using Floating User licenses, pay attention to how the licenses are upgraded. If you have an AQtime 8 Pro license, you can purchase more instances as new licenses or as an upgrade of the existing license. We recommend that you use the upgrade. See Upgrading Existing AQtime Pro Licenses for details.

See also
General Questions


Using AQtime in WAN

AQtime Floating User licenses can be used in a WAN. This lets you run AQtime on your computer when you are working out of the office or share one AQtime license among several offices of your company.

By default, AQtime searches for the License Manager using broadcast messages. These message only work in local networks. So, the default search settings may cause problems if you want to use the same License Manager in different offices of your company.

There are two possible solutions for the problem. One is to modify the search settings on AQtime workstations and specify the IP address of the License Manager PC. Another variant is to include all needed computers into a virtual private network. You can choose any of these variants.

Modifying the Search Settings

If your License Manager is not in the local network, you can alter the search settings on AQtime workstations and specify the License Manager computer, to which AQtime should connect:

  1. Assign a static external IP address to the License Manager PC. Please ask your network administrator for assistance, if needed. The static IP address is needed in order for AQtime to be able to connect to the License Manager PC.

  2. On AQtime workstations, modify the search settings and specify the License Manager PC using the static IP address. For detailed information on how to modify the search settings, see Specifying License Manager for Connection.

Organizing Virtual Private Networks

A possible alternative to specifying the static IP address is to include AQtime workstations and the License Manager PC into the same Virtual Private Network (VPN). VPN means that all computers included in it work with each other as if they were included into the same local network.

If needed, ask your network administrator for assistance with creating a VPN.

Note that depending on VPN settings the broadcast requests may be ignored. In this case, you have to modify the search settings on AQtime workstations and specify the License Manager PC using the name or network address that you use to connect to this PC in VPN. See Using AQtime in Virtual Private Networks.

See also
General Questions | Sharing License Among Several Offices


Sharing License Among Several Offices

You can use AQtime Floating User licenses inside wide-area networks (see Using AQtime in WAN). This gives you the ability to share one AQtime license among different offices of your company.

By default, the search settings, which AQtime uses to find the License Manager, work only in local networks. So, if you are going to share the license, you may need to modify the search settings or organize a virtual private network. See Using AQtime in WAN.

Before you decide to share a license, please think of how the license will be used. If you decide to share the license among different offices of your company, the License Manager PC will reside in one of the offices, and computers from the other offices will connect to this PC to check for the license. This makes the other offices dependent on the office where the License Manager PC resides. This scheme may be inconvenient in some cases. For example, it may be inconvenient if the offices reside in different countries worldwide.

Sharing a license makes sense if one of the offices uses AQtime frequently and others use it from time to time. If several of your offices use AQtime heavily, we recommend purchasing individual licenses for each of the offices.

See also
General Questions | Using AQtime in WAN


Using AQtime in Virtual Private Networks

AQtime Floating User licenses can be used in Virtual Private Networks (VPN). VPN means that computers work with each other as they are included in the same local network.

However, you may need to modify the search settings on AQtime workstations. By default, AQtime’s licensing subsystem searches for the License Manager using broadcast messages. Depending on the VPN configuration, these messages may not function in virtual private networks. In this case, you can modify the search settings on AQtime workstations and specify the License Manager computer, to which AQtime should connect:

  1. On your AQtime workstation, open the URL http://localhost:1947. This will open the Sentinel Admin Control Center.

  2. Select Configuration from the menu on the right. This will open the configuration pages.

  3. Switch to the Access to Remote License Managers page.

  4. In the Specify Search Parameters box of this page specify the name or IP address of the License Manager PC. You should enter the same address that you use to connect to this PC in VPN.

  5. Click Submit to apply the changes.

See also
General Questions | Specifying License Manager for Connection


Using AQtime in Cloud Computing

Cloud computing is gaining in popularity and you may want to use AQtime in cloud environments. The use of AQtime in these enviroments has a number of requirements:

  • Cloud computers are virtual machines. This means you cannot use AQtime Node-Locked licenses in clouds. You can use the Floating User licenses only.

  • Since cloud computers are virtual machines, you cannot install the License Manager on them. You have to install the License Manager on a physical computer in your organization.

    The AQtime instances that reside on cloud computers are running outside of your local network (see also Using AQtime in WAN). In order for the instances to be able to connect to your License Manager PC, you have to configure the network addess of the License Manager PC and change the licensing search settings on the cloud computers:

    1. Assign a static external IP address to the License Manager PC. AQtime instances that are running in the cloud will use this IP address to connect to the License Manager.

    2. On the cloud computer that has AQtime installed, change the search settings of AQtime’s licensing subsystem and specify the IP address of your License Manager PC. For detailed information on how to do this, see Specifying License Manager for Connection.

See also
General Questions | Using AQtime in WAN | Specifying License Manager for Connection


Viewing License Usage Statistics

To understand the usage of AQtime Floating User licenses in your company, you can use the HASP Log Analyzer utility on your License Manager PC. This utility is included in the License Manager and is located at the following path on the License Manager PC:

<License Manager>\LogAnalyzer\HaspLogAnalyzer.exe

HASP Log Analyzer helps you answer these questions:

  • How many people in your company use AQtime daily, weekly, monthly, or at any other period?

  • Which users use AQtime?

  • Does your company need more AQtime licenses, and how many more?

Before using HASP Log Analyzer, you need to enable license usage logging on your License Manager PC. For more information, see the HASP Log Analyzer help file (you can open it by pressing F1 in the utility).

See also
General Questions


Working With License Manager

This section describes some common operations that you can perform with the License Manager.

Controlling License Manager

Configuring License Manager From Remote Computer

Specifying License Manager for Connection

Specifying Users Who May Connect to License Manager

Viewing Users Connected to License Manager

Disconnecting users From License Manager

See also
How To | License Manager | How Licensing Subsystem Works


Controlling License Manager

The AQtime license subsystem uses the Sentinel LDK License Manager service. It is used to activate AQtime licenses and to control the number of AQtime instances that can run concurrently.

To control this service, use the Sentinel Admin Control Center. This is a set of web pages provided by the service. To use these pages, no web server technologies are required (that is, there is no need to have Internet Information Services, Apache and so on).

1. Open the Admin Control Center

To open the Sentinel Admin Control Center, use the following URL:

http://localhost:1947

If you have permissions to configure the License Manager on another computer, you can open the Admin Control Center of this computer. To do this, use a URL like http://<computer-name_or_IP-address>:1947. For information on how to allow remote access to the configuration settings, see Configuring License Manager From Remote Computers.

2. Configuring Service Settings

After you open the URL, use the web interface pages to configure the Sentinel LDK License Manager service. For more information on typical tasks, see topics of this section, or use the web interface’s help.

See also
Working With License Manager


Configuring the License Manager From Remote Computers

To configure the License Manager, you use the Sentinel Admin Control Center. To launch it, you should open the URL http://localhost:1947 on the License Manager PC. This means you must have physical access to this PC.

In some cases it is more convenient to work with the Admin Control Center remotely. One of the ways to do this is to connect and work with the License Manager PC via the Remote Desktop Connection.

Another variant is to configure the Admin Control Center so that it allows access to its pages from remote computers. To do this:

  • Go to the License Manager PC.

  • Open the http://localhost:1947 URL in a web browser. This will launch the Admin Control Center.

  • In the Admin Control Center, select Configuration from the left-side menu. This will open the configuration page.

  • On the Basic Settings page select the Allow Remote Access to ACC check box. This will make the settings available for remote configuration.

    If needed, you may protect access to the Admin Control Center pages with a password. To set the password, use the Password Protection setting (it is at the bottom of the page).

  • Click Submit to apply the changes.

Now you can access the Admin Control Center from any computer in the local network.

To open the Admin Control Center from your computer, launch your web browser and open the following URL in it:

http://License_Manager_PC_Name:1947

See also
Working With License Manager | Controlling License Manager


Specifying License Manager for Connection

If you have several Floating User licenses, you may need to specify to which License Manager your AQtime instance will connect.

When starting, AQtime searches for an activated License Manager in the local network. However, by default the search order is not specified. So, AQtime may connect to the License Manager, which you do not want it to connect to. To solve this problem, you should specify the License Manager for connection.

You specify the License Manager on the computer, on which AQtime will run.

Follow these steps:

  1. Go to the computer, on which AQtime will run.

  2. Close AQtime.

  3. Open the Sentinel Admin Control Center. To do this, open the URL http://localhost:1947 in a web browser (see Controlling License Manager for more information).

  4. In the Admin Control Center, click Configuration in the left-side menu. This will open the Configuration pages.

  5. Navigate to the Access to Remote License Managers tabbed page.

  6. Clear the Broadcast Search for Remote Licenses check box.

  7. In the Specify Search Parameters box enter the search criteria for the License Manager PC. You can use any of the following:

    • Computer name (for instance, MyLicenseServer).
    • IP address (for instance, 192.168.1.10).
    • Broadcast IP address (for example, 192.168.1.255). In this case, the service will search for the License Manager PC among the computers whose IP address matches the search string.

  8. Click Submit to apply the changes.

Now AQtime will connect to the License Manager PC, you specified in the search parameters.

You can also specify multiple search criteria. To do this, simply enter the desired computer names or IP addresses into the Specify Search Parameters box. Each search expression must be on a separate line.

See also
Working With License Manager


Specifying Users Who May Connect to License Manager

If you have several Floating User licenses, you may need to specify users that can connect to each of the License Managers.

To specify the users

  1. Go to the License Manager PC.

  2. Open the Sentinel Admin Control Center. To do this, open the http://localhost:1947 URL in a web browser (see Controlling License Manager for more information).

  3. In the Admin Control Center, click Configuration in the left-side menu. This will open the Configuration pages.

  4. Navigate to the Users tabbed page.

  5. In the User Restrictions text box specify the users who will be allowed to connect to the License Manager. Each rule must be specified on a separate line.

    For information on specifying the access rules, see below.

  6. Click Submit to apply the changes.

Access Rules

To specify the access rules, use strings of the following format:

allow=[Username]@[Hostname]

Username is the name of the desired user account. Hostname is either the name or IP address of the computer, on which the user is working. For instance, the following rule allows the user JohnSmith to connect to the License Manager when working on the JohnComp computer:

allow=JohnSmith@JohnComp

Hostname can be all. This means the computer name is ignored and the user is allowed to connect from any workstation. The same happens if you omit Hostname:

allow=JohnSmith
allow=JohnSmith@all

You may also skip Username or use all for it. This setting allows connection for any user working on the specified workstation:

allow=@JohnComp
allow=all@JohnComp

The allow=all@all rule allows connection for any user working on any PC.

To deny connection for certain users, use the rules of the following format:

deny=[Username]@[Hostname]

Below are some examples:

Denies access to the JohnSmith user working on the Tester computer
deny=JohnSmith@Tester

Denies access to the JohnSmith user working on any computer
deny=JohnSmith@all

Denies access to any user working on the BuilderComp computer
deny=all@BuilderComp

By using the allow and deny settings you can create the desired filters. For instance, the following settings will allow connecting to the license manager for all users except for Tester1 and Tester2:

allow=all@all
deny=Tester1@all
deny=Tester2@all

See also
Working With License Manager | Disconnecting Users From License Manager


Viewing Users Connected to License Manager

Sometimes you may need to view users who connected to a License Manager. To do this:

  1. Go to the License Manager PC.

  2. Open the Sentinel Admin Control Center. To do this, open the http://localhost:1947 URL in a web browser (see Controlling License Manager for more information).

  3. In the Admin Control Center, click Sessions in the left-side menu. This will open the page that displays information on connected users and AQtime features they use.

    You can see the user names in the User column. Most likely the connection list contains several pages. You may need to browse through them by clicking « prev page and next page » buttons below the list.

    The list is grouped by user names. Once you find the first entry of the user name in the list, you can check the next rows to see the features “taken” by the user.

You may configure the License Manager to prevent certain users or computers to connect to it. For information on how to do this, see Specifying Users Who May Connect to License Manager.

For information on how to detach a user from the License Manager, see Disconnecting Users From License Manager.

See also
Working With License Manager | Controlling License Manager | Specifying License Manager for Connection | Disconnecting Users From License Manager


Disconnecting Users From License Manager

Sometimes you may need to disconnect users who connected to a License Manager. To do this:

  1. Go to the License Manager PC.

  2. Open the Sentinel Admin Control Center. To do this, open the http://localhost:1947 URL in a web browser (see Controlling License Manager for more information).

  3. In the Admin Control Center, click Sessions in the left-side menu. This will open the page that displays information on connected users and AQtime features they use. You can see the user name in the User column and the feature name and ID in the Feature column.

  4. Find the desired user in the list. If the connection list includes several pages, you may need to scroll through them by clicking « prev page and next page » buttons below the list.

    The list is grouped by user names. Once you find the first entry of the user name in the list, you can check the next rows to see the features “taken” by the user.

  5. For each feature occupied by the user, click Disconnect in the Actions column (this column is rightmost in the list).

You may configure the License Manager to prevent certain users or computers to connect to it. For information on how to do this, see Specifying License Manager for Connection.

See also
Working With License Manager | Controlling License Manager | Specifying License Manager for Connection


Troubleshooting

This topic describes typical problems that may occur with license activation and usage:

Problems With License Activation

License Check Problems -- Node-Locked Licenses

License Check Problems -- Floating User Licenses

Unable to Activate License on Virtual Machine

Unable to Activate Two Licenses on the Same License Manager

License Loss After Rebooting

The License Key Has Already Been Used for Product Activation

The Activation Information Is Invalid

All Product Instances Allowed by Your License Key Are Already Running

The License Manager PC You Used Last Time Is Not Available Now

Access to the License Manager Is Denied

The System Time Has Been Changed on Your Computer or on the License Manager PC

Your Time-Limited License Has Expired

My Antivirus Displays Warning

License Deactivation Is Impossible

What to Do If the Troubleshooting Topics Do Not Help

To resolve licensing problems, you can use the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

The troubleshooter will also help you collect information needed to submit a request to the SmartBear Support Team.

See also
How To | AQtime License Types | How Licensing Subsystem Works | Activating Licenses


Problems With License Activation

You may face this problem if AQtime encounters an error when activating your license. The licensing procedure includes the following steps:

  1. AQtime’s licensing subsystem transfers the license key to the Sentinel LDK License Manager service.

  2. The Sentinel LDK License Manager service forms an activation request and sends it to the SmartBear web site (addresses ls1.smartbear.com and ls2.smartbear.com, port 443).

  3. Then the service receives the activation code in response and activates AQtime.

Activating AQtime Node-Locked license
Activating AQtime Floating User license

If the activation fails, this means that an error occurred on one of these steps. AQtime will display a message box notifying you about the problem. Below are some recommendations for resolving typical problems:

  • Make sure the Sentinel LDK License Manager service is running on the License Manager PC. The service is started automatically after the License Manager utility or AQtime is installed. If this service is not running, activation is impossible.

    To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see if the services list contains the Sentinel LDK License Manager service and that the service is running.

    If the service is not running, try to start it. If this does not help, reinstall AQtime and try again.

  • Check if you activated your license on a physical computer. AQtime licenses cannot be activated on virtual machines. For information on workarounds, see Using AQtime on Virtual Machines.

  • Check that your License Manager PC has an Internet connection:

    • Verify that you have a working Internet connection. Check that the network cable is connected to your computer and check that you can open web sites (for instance, you can try opening http://smartbear.com).

    • Check that the firewalls or proxies running on your computer and local network allow activation requests to the URLs ls1.smartbear.com and ls2.smartbear.com, and port 443. To determine whether a firewall (or proxy) blocks the port 443, try connecting to the My SmartBear section of our web site (https://my.smartbear.com).

      Ask your network administrator for help with configuring the firewall or proxy settings, if needed.

    • Some proxy servers and firewalls may require that you specify a user name and password for the connection. If you do not specify them, the activation will fail.

      Please ask your system administrator on the proxy server specifics. If your proxy requires authentication, try activating the license again and enter the proxy user name and password in the License Activation wizard.

  • The activation fails if the license key has already been used earlier. For information on how to resolve this problem, see The License Key Has Already Been Used for Product Activation.

  • AQtime activation fails if you specified invalid activation data. For information on how to resolve this problems, see The Activation Information Is Invalid.

    If you are using a Floating User license, you should activate it on the License Manager PC only. There is no need to activate it on other workstations, on which AQtime instances will run.

If you are unable to activate your AQtime license for some reason, contact our Support Team.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Contacting SmartBear


License Check Problems -- Node-Locked Licenses

When starting, AQtime connects to the Sentinel LDK License Manager service running on the AQtime computer and requests permission to run. If the License Manager permits the run, AQtime continues the launch, else, it displays an error message informing you about the problem.

Below are some typical causes of why AQtime can fail to find the license:

  • AQtime cannot start if the license has not been activated. For instructions on license activation, see Activating Node-Locked Licenses.

  • AQtime fails to find the license if the Sentinel LDK License Manager service is not running.

    To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see whether the services list contains the Sentinel LDK License Manager service and that the service is running.

    If the service is not running, try to start it. If this does not help, reinstall AQtime and try again.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | License Check Problems -- Floating User Licenses


License Check Problems -- Floating User Licenses

When AQtime starts, its licensing system searches for the License Manager on the local computer and in the network (see How Licensing Subsystem Works):

Floating User License -- License Check

Below are some typical reasons why AQtime may fail to find the License Manager:

  • AQtime cannot start if the license has not been activated on the License Manager PC. To learn how to activate a Floating User license, see Activating Floating User Licenses.

  • AQtime’s licensing subsystem uses the Sentinel LDK License Manager service. If this service is not running, the license check will fail.

    Make sure this service is running both on your computer and on the License Manager PC. The service is started automatically after the License Manager utility or AQtime installation. If this service is not running, activation is impossible.

    To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see if the services list contains the Sentinel LDK License Manager service and that the service is running.

    If the service is not running, try to start it. If this does not help, reinstall the License Manager utility (or AQtime) and try again.

  • Your computer and the License Manager PC must have a functioning network connection. If one of these computers do not have network access, the license check will fail. To solve the problem:

    • Verify that your computer has a working connection. Check that the network cable is connected to your computer. Perform the same actions on the License Manager PC.

      If you are launching AQtime on a virtual machine, check if this machine has a network card and that its host computer is connected to the network.

    • Check that your computer can access the License Manager PC. For instance, you can “ping” this PC. Perform the same actions with the License Manager PC.

  • By default, to find the License Manager PC, the licensing subsystem uses broadcast requests. This type of request may not work in certain type of networks. For example, they will not work if the License Manager PC is outside of the local network, in which your AQtime workstation resides. Also, these requests may not function in Virtual Private Networks that are configured in a certain way.

    To solve the problem, on the AQtime workstation you need to specify the License Manager PC, to which the AQtime instance will connect.

    To solve the problem, modify the search settings:

    • On AQtime workstation, open the http://localhost:1947 URL in your web browser. This will open the Sentinel Admin Control Center.

    • Choose Configuration from the menu on the left. This will display the configuration pages.

    • Switch to the Access to Remote License Managers tabbed page.

    • In the Specify Search Parameters box enter the computer name or IP address of the License Manager computer.

      If you are using a VPN, enter the IP address as you see it in your network. See also Using AQtime in Virtual Private Networks. If the License Manager PC is outside of the local network, in which AQtime workstation resides, then specify the static external IP address of the License Manager computer (see also Using AQtime in WAN).

    • Click Submit to apply your changes. Then try to launch AQtime again.

  • The Sentinel LDK License Manager service uses the TCP and UDP protocols and port 1947 to transfer data. Check that the firewalls or proxies running on your computer and local network do not block these protocols and port. Ask your network administrator for help with configuring the firewall or proxy settings, if needed.

  • The license check fails, if the number of currently running instances is equal to the maximum number allowed by the license. In this case, close the instances that are not needed or upgrade your license to a greater number of allowed instances. See All Product Instances Allowed by Your License Key Are Already Running.

  • The license check may fail if the License Manager settings deny your user account to access the License Manager. For more information about the problem and possible workaround, see Access to the License Manager Is Denied.

  • You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

    Licensing Troubleshooter

See also
Troubleshooting | License Check Problems -- Node-Locked Licenses


Unable to Activate License on Virtual Machine

The License Manager does not support license activation on virtual machines. Licenses can be activated on physical computers only. Virtual machines can be used as test workstations and AQtime instances can run on them, but they cannot be used as License Manager PCs.

If you have a Floating User license of AQtime and installed AQtime on a virtual machine, there is no need to activate the product instance there. All you have to do is to activate the license on the License Manager PC; activation on workstations is not needed.

For information on running AQtime on virtual machines, see Using AQtime on Virtual Machines.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Using AQtime on Virtual Machines


Unable to Activate Two Licenses on the Same License Manager

The specifics of the licensing subsystem are that one License Manager can control only one AQtime license key at a time. This means that if you have two licenses, you cannot activate both of them on the same License Manager - you will have to use two different PCs. If you activate a license on a computer that already has another active license, the new license key will replace the activation data of the existing license.

This applies to both Floating User licenses and Node-Locked licenses. For detailed information on this and on possible workarounds, see Using Multiple Licenses on One License Manager PC.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Using Multiple Licenses on One License Manager PC


License Loss After Rebooting

After you activate your AQtime Pro license, AQtime’s licensing subsystem stores the license information to a secure location on your computer and checks it when you run AQtime.

Below are typical situations when AQtime fails to check the license information after rebooting.

  • The license may be lost after rebooting if the operating system is installed on the dynamic disk. To check whether the disk is dynamic, follow the steps below:

    • Click Start | Control Panel.
    • In the Control Panel window, select the Administrative Tools | Computer Management | Storage | Disc Management category.
    • In the Disk Management window, check the Type of the disk on which the operating system is installed.

    If the target disk has the Dynamic type, we recommend that you convert the disk so it has the Basic type. For this purpose you can use special tools, for instance, EaseUS Partition Master or similar tools.

    If the license does not appear after converting the disk, please contact the SmartBear Sales Team for a new license key and assistance in resolving the problem.

  • Some protection products like Windows 7 Manager, CCleaner or Microsoft Malware Protection may prevent the licensing subsystem from accessing this information or may remove this information from the machine. This typically happens after you reboot the computer. Since the licensing subsystem cannot find licensing information, they report to AQtime that the license is not found and AQtime is unable to start.

    This problem is typical for users of Node-Locked licenses, as the mentioned protection software is typically installed on end-user workstations. However, in general case, the problem can also occur with the Floating User license if you use malware protection products on the server where this license is activated.

    If you lost the license and have malware protection software on your License Manager PC, please contact the SmartBear Sales Team for a new license key and assistance in resolving the problem. You will have to uninstall this protection software and activate the license with the new key. If you have a Node-Locked license, consider upgrading to a Floating User license and activate this license on some server in your network on which no protection packages are installed. If you already have a Floating User license, consider activating it on some computer that has no protection software installed.

For more information on the causes of why AQtime may fail to find the license, see License Check Problems -- Node-Locked Licenses and License Check Problems -- Floating User Licenses.

See also
Troubleshooting | License Check Problems -- Node-Locked Licenses | License Check Problems -- Floating User Licenses


The License Key Has Already Been Used for Product Activation

You may face this problem when you are trying to activate the product using the license key that has already been used earlier.

Each license key can only be used once. After you successfully activated an AQtime license on one computer, you cannot use the same license key to activate it on another computer.

If you have a Floating User license and face this problem, then perhaps you have activated your license on another computer and are now trying to activate it using the same license key on another computer. There is no need to do this. If you have the Floating User license, you need to activate AQtime on one computer only. This computer will become the License Manager PC and will control the use of AQtime instances in your network. There is no need to activate AQtime on other workstations. You can simply install and use it there.

You will also encounter this problem if you moved the license to another PC and did not deactivate it on the previous License Manager PC properly. To move the license, it is not enough to uninstall AQtime. Before uninstalling you need to “unbind” your AQtime license from the current License Manager PC. You do this by applying a special file to the License Manager. For detailed instructions on this, see Uninstalling and Moving Licenses.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


The Activation Information Is Invalid

You may face this problem if you entered invalid activation information into the License Activation wizard. A possible reason is that you have misspelled some data or did not specify a value.

To solve the problem, please specify the correct activation information. You can find it on the AQtime page of the My SmartBear section of our web site. You can copy and paste values from the AQtime page to the License Activation wizard.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Contacting SmartBear


All Product Instances Allowed by Your License Key Are Already Running

A Floating User license allows you to run multiple instances of AQtime on multiple workstations in the network. The number of instances running concurrently is determined by the license key. With floating licensing, you can start AQtime only if the License Manager PC in your network has at least one license that is not currently in use.

If all licenses are currently in use, AQtime will fail to start and will display an error message notifying you about the problem. In this case, wait until another user finishes their AQtime session (and, therefore, releases the license), so that you can start AQtime on your machine.

Alternatively, consider upgrading your license to allow more concurrent users. For more information on upgrading licenses, see Upgrading Existing AQtime Pro Licenses.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Upgrading Existing AQtime Pro Licenses


The License Manager PC You Used Last Time Is Not Available Now

A Floating User license is shared by a group of users within the same network. This kind of license is hosted on a dedicated computer, called License Manager PC, which controls the usage of AQtime copies over the network.

When you start AQtime, it searches for the License Manager PC on your network in order to request permission to run. AQtime displays this message if the License Manager PC that AQtime used last time is not available, and AQtime did not find other License Managers in your network.

To resolve the problem, follow the recommendations provided in the License Check Problems -- Floating User Licenses topic, and then try to launch AQtime once again.

See also
Troubleshooting | License Check Problems -- Floating User Licenses


Access to the License Manager Is Denied

When you launch AQtime, it searches for an activated License Manager on the local machine and in the network. It is possible that AQtime cannot connect to a License Manager, because the License Manager’s settings deny access to the License Manager for your user account, and AQtime is unable to start.

To resolve the problem:

  1. Check the License Manager settings on the License Manager PC (if you are using a Floating User license).

    • Log in to the License Manager PC.

    • Open the http://localhost:1947 URL in a web browser. This will open the Sentinel Admin Control Center.

    • Select Configuration from the Options menu on the left. This will open the configuration pages.

    • Switch to the Users tab page.

    • Examine the User Restriction rules and remove any deny rules that include the desired user name, or add the allow rule for this user name. See Specifying Users Who May Connect to License Manager

  2. Verify the License Manager settings on your computer:

    • On your computer, open the http://localhost:1947 URL in your web browser. The Sentinel Admin Control Center opens.

    • In the Options menu, select Configurations.

    • Switch to the Users tab.

    • Examine the User Restriction rules and remove any deny rules that include your user name, or add the allow rule for your user account. For detailed information, see Specifying Users Who May Connect to License Manager.

Once the needed settings are specified, try to launch AQtime again. If the problem does not disappear, contact SmartBear Support Team.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


The System Time Has Been Changed on Your Computer or on the License Manager PC

AQtime’s licensing modules detect changes made to the system time in order to prevent attempts to extend time-limited licenses. Therefore, it is important to ensure that the computer time and date are set correctly prior to installing AQtime.

If the licensing modules detect a change of the system time, you will see a message box informing you about the problem. For example, the problem occurs if you have manually rolled back the system clock on your computer after having installed AQtime.

The problem usually occurs if you roll back the system clock manually on your computer after installing AQtime. If the time change is part of your profiling plan, we recommend that you restore the correct time at the end of the run.

To resolve the problem, try doing the following:

  • On your computer, set the date and time that match your time zone and then restart your computer.

  • If the problem is not solved:

    • Set the date and time that you had when installing AQtime on your computer. If you do not remember the exact date and time, set approximate values that are later than the date and time of installation.

    • Restart your computer.

    Note: This solution is temporary as it may be inconvenient to have an incorrect date and time on your computer. Contact the SmartBear Support Team for a persistent solution.

Sometimes, you may need to change the system time on a local machine and you may need to use AQtime on this machine. Or you may have some problems with restoring the system time on a machine. In such cases, the problem is solved in different ways, depending on the license type you have:

Node-Locked license

Consider upgrading your license to the Floating User license and then activate it on a machine where the correct system time is set and users don't change it. For example, you can activate your license on a server connected to your network. After that, install AQtime on the desired local computer and run it as usually. In this case, you can easily change the system time on your local machine and this won't affect the license.

For instructions on how to deactivate your license and then upgrade it to the Floating User license, contact our Support Team.

Floating User license

If you have a Floating User license, you need to deactivate it and then move it to another machine where the correct system time is set and users don't change it. For example, you can activate your license on a server connected to your network.

For more information on deactivating your license and moving it, see Uninstalling and Moving Licenses.

To resolve the problem, you can also use the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

The troubleshooter will also help you collect information needed to submit a request to the SmartBear Support Team.

See also
Troubleshooting | Contacting SmartBear


Your Time-Limited License Has Expired

This problem may arise when you use a trial version of AQtime Pro. This version is time-limited. After its work period is over, AQtime Pro displays a message notifying that the license has expired. You can obtain a commercial license to continue using AQtime Pro.

To purchase an AQtime Pro license, contact the SmartBear Sales Team or your local SmartBear reseller.

Perhaps, you already have an AQtime Pro license but have not activated it yet. To use AQtime Pro, activate the license. The way you do that depends on the license type. For detailed information, see Activating Licenses.

For information on which license type you have, see How to Determine License Type.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Contacting SmartBear


My Antivirus Displays Warning

After you installed AQtime, some antiviral programs (for example, AVG or McAfee AntiVirus) may report that they found a virus in one of AQtime’s modules. SmartBear always checks its products’ installation packages for viruses, worms, trojans and other malicious code. So, there can be two major causes for the message:

  • The version of the antivirus software you are using is not the latest version. For example, some earlier versions of the AVG Antivirus and McAfee AntiVirus could report AQtime modules as viruses. The latest versions of this antivirus do not report these issues with these modules. So, to solve the problem, install the latest version of your antivirus software and update the antivirus databases to the following versions:

    • AVG version 9.0.790 or later.
    • McAfee AntiVirus Plus version 10.5.189.0 or later with database version 6099 or later.

  • The AQtime installation package could be infected after it was downloaded from the SmartBear web site. Try download the package again.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


License Deactivation Is Impossible

The license deactivation requires that AQtime’s licensing management modules to be installed on the License Manager PC. That is why the license deactivation should be performed before you uninstall AQtime or the License Manager utility from the License Manage PC.

If the License Manager PC or the license management modules on it are not available, the deactivation is impossible. This may happen due to various reasons. For instance, the License Manager PC may be damaged or unable to start, the operating system may fail to log in, the modules may be deleted or corrupted, and so on.

If you encounter a hardware or software problem that makes the license deactivation impossible, please contact the SmartBear Sales Team.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Deactivating Licenses | Moving Licenses


What to Do If the Troubleshooting Topics Do Not Help

The Troubleshooting section covers most typical problems that you may face when activating and using AQtime licenses. If you are unable to resolve the problems yourself after reading these topics, please send a message to SmartBear Support Team. For information on how to contact it, see Contacting SmartBear.

Important: When writing to the Support Team, please specify the exact error message you get during product activation or usage. To get this error message, click within the message box and then press Ctrl+C. This will copy the message’s text to the clipboard. You can then paste this text into your message.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting